"""Video manager/agent enums"""

from enum import IntEnum


class StreamStatus(IntEnum):
    """
    Enum for stream status.
    """

    pending = 0
    in_progress = 1
    done = 2
    restart = 3
    failed = 4
    stop = 5
    # special status for splittable stream with different sub statuses
    unknown = 6
    handler_lost = 7
